Create Pm Job
Create Performance Management Job for reporting on given object Ids and object Type
Request
URI
POST
https://{api_host}/tca/etsi/orgs/{vnfpmOrgId}/direct/internal/vnfpm/v1/pm_jobs
COPY
Path Parameters
string
vnfpmOrgId
Required
The tenant identifier
Header Parameters
string
Accept-Language
Optional
Accept-Language
Request Body
Request parameters for creating a PM job
pmJobRequest
of type(s)
application/json
Required
{
"pmJobName": "string",
"objectIds": [
"string"
],
"objectType": "string",
"pmJobCriteria": {
"performanceMetric": [
"string"
],
"performanceMetricGroup": [
"string"
],
"collectionPeriod": 0,
"reportingPeriod": 0,
"reportingBoundary": "string"
}
}
string
pmJobName
Required
pmJobName
array of
string
objectIds
Required
objectIds
string
objectType
Required
objectType
Responses
200
Returns
SucessPmJobCreateResponse
of type(s)
application/json
{
"pmJobId": "string",
"pmJobName": "string",
"objectIds": [
"string"
],
"objectType": "string",
"pmJobCriteria": {
"performanceMetric": [
"string"
],
"performanceMetricGroup": [
"string"
],
"collectionPeriod": 0,
"reportingPeriod": 0,
"reportingBoundary": "string"
},
"warnings": [
{
"message": "string"
}
],
"errors": [
{
"code": "string",
"message": "string"
}
]
}
string
pmJobId
Optional
pmJobId
string
pmJobName
Optional
pmJobName
array of
string
objectIds
Optional
objectIds
string
objectType
Optional
objectType
401
Unauthorized
Operation doesn't return any data structure
403
Forbidden
Operation doesn't return any data structure
500
Returns
InternalServerError
of type(s)
application/json
{
"errors": [
{
"code": "string",
"message": "string"
}
]
}
On This Page
Performance Management Operations
POST
Create Pm Job
DELETE
Delete Pm Job
GET
Download Report File
GET
Get Pm Job
GET
Get Pm Job Report
GET
Get Pm Jobs For Vnf
POST
Query Inventory Stats